﻿function Output {
 param( $Return , $Task )
    if($Return -like "*failed*")
    {
        $Message = "Processing Failed for $Task"
        Write-Host $Message -BackgroundColor red -ForegroundColor yellow
    }

    

    else 
    {
        $Message = "Processing OK for $Task"
        Write-Host $Message -BackgroundColor green -ForegroundColor black
    }
}

cls
$Filter     = "Servers"
$CountryOUs = Get-ADOrganizationalUnit -Filter * -SearchBase "OU=AD,DC=BOOO" -SearchScope OneLevel

foreach($BaseOU in $CountryOUs)
{
    $Country    = $BaseOU.Name
    $CountryDN  = $BaseOU.DistinguishedName
    $DN         = (Get-ADOrganizationalUnit -Filter {Name -eq $Filter} -SearchBase $CountryDN -SearchScope Subtree).DistinguishedName

}