﻿## Computers ##
$CMP_Create = "DOMAINNAME\AD-$Country-CMP-Create:CC;computer"
$Output     = dsacls $DN /I:T /G $CMP_Create 
Output -Return $Output -Task "'Create PC'"

$CMP_FC = "DOMAINNAME\AD-$Country-CMP-FC:GA;;computer"
$Output = dsacls $DN /I:s /G $CMP_FC 
Output -Return $Output -Task "'Full Control PC'"

$CMP_FCCreate = "DOMAINNAME\AD-$Country-CMP-FC:CCDC;computer"
$Output       = dsacls $DN /I:T /G $CMP_FCCreate
Output -Return $Output -Task "'Full Control PC'"




## Users ##
$USR_RP1 = "DOMAINNAME\AD-$Country-USR-ResetPass:WP;lockoutTime;user"
$Output  = DSACLS $DN /I:S /G $USR_RP1
Output -Return $Output -Task "'Lockout Time'"


$USR_RP2 = "DOMAINNAME\AD-$Country-USR-ResetPass:WP;pwdLastSet;user"
$Output  = DSACLS $DN /I:S /G $USR_RP2
Output -Return $Output -Task "'Write Pwdlastset'"


$USR_RP3 = "DOMAINNAME\AD-$Country-USR-ResetPass:CA;Reset Password;user"
$Output  = DSACLS $DN /I:S /G $USR_RP3
Output -Return $Output -Task "'Reset Password'"


$USR_RP4 = "DOMAINNAME\AD-$Country-USR-ResetPass:WP;userAccountControl;user"
$Output  = DSACLS $DN /I:S /G $USR_RP4
Output -Return $Output -Task "'userAccountControl'"

$USR_FC = "DOMAINNAME\AD-$Country-USR-FC:GA;;user"
$Output = dsacls $DN /I:s /G $USR_FC 
Output -Return $Output -Task "'Full Control User'"

$USR_FCCreate = "DOMAINNAME\AD-$Country-USR-FC:CCDC;user"
$Output       = dsacls $DN /I:T /G $USR_FCCreate
Output -Return $Output -Task "'Full Control user'"



## Groups ##
$GRP_FC = "DOMAINNAME\AD-$Country-GRP-FC:GA;;group"
$Output = dsacls $DN /I:s /G $GRP_FC
Output -Return $Output -Task "'Full Control Group'"

$GRP_CreateFC = "DOMAINNAME\AD-$Country-GRP-FC:CCDC;group"
$Output       = dsacls $DN /I:T /G $GRP_CreateFC
Output -Return $Output -Task "'Full Control Create Group'"

$GRP_Modify = "DOMAINNAME\AD-$Country-GRP-Modify:GW;;group"
$Output     = dsacls $DN /I:s /G $GRP_Modify
Output -Return $Output -Task "'Modify Group'"


## Service Accounts ##
$SVCACC_FC       = "DOMAINNAME\AD-$Country-SVC-FC:GA;;user"
$Output          = dsacls $DN /I:s /G $SVCACC_FC
Output -Return $Output -Task "'Full Control Create Service Accounts'"

$SVCACC_CreateFC = "DOMAINNAME\AD-$Country-SVC-FC:CCDC;user"
$Output          = dsacls $DN /I:T /G $SVCACC_CreateFC
Output -Return $Output -Task "'Create Service Accounts'"



## Servers ##
$SRV_Create = "DOMAINNAME\AD-$Country-SRV-Create:CC;computer"
$Output     = dsacls $DN /I:T /G $SRV_Create 
Output -Return $Output -Task "'Create Server'"

$SRV_FC = "DOMAINNAME\AD-$Country-SRV-FC:GA;;computer"
$Output = dsacls $DN /I:s /G $SRV_FC 
Output -Return $Output -Task "'Full Control Server'"

$SRV_FCCreate = "DOMAINNAME\AD-$Country-SRV-FC:CCDC;computer"
$Output       = dsacls $DN /I:T /G $SRV_FCCreate 
Output -Return $Output -Task "'Delete Server'"
